#!/usr/bin/env bash

set -e

CMD_PREFIX="cargo run -p ci --"

if [[ -n "$CUDDLE_CI" ]]; then
  CMD_PREFIX="./target/debug/ci"
fi

echo "$PWD"

ls target/debug

$CMD_PREFIX main \
  --mkdocs-image "$MKDOCS_IMAGE" \
  --caddy-image "$CADDY_IMAGE" \
  --image "$REGISTRY/$SERVICE" \
  --tag "main-$(date +%s)" \
  --bin-name "$SERVICE"  